## httrack 3.49.2

=== src/coucal/Makefile ===
###############################################################################
#
# "Cuckoo Hashtables"
#
###############################################################################

CFILES = coucal.c

all: gcc tests sample runtests

clean:
	rm -f *.o *.obj *.so* *.dll *.exe *.pdb *.exp *.lib sample tests

tar:
	rm -f coucal.tgz
	tar cvfz coucal.tgz coucal.txt coucal.c coucal.h Makefile LICENSE README.md

gcc:
	gcc -c -fPIC -O3 -g3 -pthread \
		-W -Wall -Wextra -Werror -Wno-unused-function \
		-D_REENTRANT -D_GNU_SOURCE \
		-DHTS_INTHASH_USES_MURMUR \
		$(CFILES)
	gcc -shared -fPIC -O3 -Wl,-O1 -Wl,--no-undefined \
		-rdynamic -shared -Wl,-soname=libcoucal.so \
		coucal.o -o libcoucal.so \
		-ldl -lpthread

tests:
	gcc -c -fPIC -O3 -g3 \
		-W -Wall -Wextra -Werror -Wno-unused-function \
		-D_REENTRANT \
		tests.c -o tests.o
	gcc -fPIC -O3 -Wl,-O1 \
		-lcoucal -L. \
		tests.o -o tests 

sample:
	gcc -c -fPIC -O3 -g3 \
		-W -Wall -Wextra -Werror -Wno-unused-function \
		-D_REENTRANT \
		sample.c -o sample.o
	gcc -fPIC -O3 -Wl,-O1 \
		-lcoucal -L. \
		sample.o -o sample

runtests:
	LD_LIBRARY_PATH=. ./tests 100000

## httrack 3.45.3

=== debian/changelog ===
httrack (3.45.3-1) unstable; urgency=low

  * Updated to 3.45.3 (3.45-3)
    Changed debian format

 -- Xavier Roche <xavier@debian.org>  Thu, 22 Mar 2012 20:05:25 +0100

httrack (3.45.2-1) unstable; urgency=low

  * Updated to 3.45.2 (3.45-2)
    Lintian fixes

 -- Xavier Roche <xavier@debian.org>  Sun, 18 Mar 2012 22:01:13 +0100

httrack (3.45.1-1) unstable; urgency=low

  * Updated to 3.45.1 (3.45-1)

 -- Xavier Roche <xavier@debian.org>  Sat, 17 Mar 2012 10:35:16 +0100

httrack (3.44.5-1) unstable; urgency=low

  * Updated to 3.44.5 (3.44-5)

 -- Xavier Roche <xavier@debian.org>  Sat, 11 Feb 2012 12:58:06 +0100

httrack (3.44.4-1) unstable; urgency=low

  * Updated to 3.44.4 (3.44-4)
    closes:#657878

 -- Xavier Roche <xavier@debian.org>  Sun, 29 Jan 2012 15:55:51 +0100

httrack (3.44.3-1) unstable; urgency=low

  * Updated to 3.44.3 (3.44-3)
    closes:#657334

 -- Xavier Roche <xavier@debian.org>  Wed, 25 Jan 2012 21:19:09 +0100

httrack (3.44.2-1) unstable; urgency=low

  * Hardened build flags through dpkg-buildflags (Moritz Muehlenhoff <jmm@debian.org>)
    Updated to 3.44.2 (3.44-2)
    closes:#657334

 -- Xavier Roche <xavier@debian.org>  Wed, 25 Jan 2012 19:35:28 +0100

httrack (3.44.1-4) unstable; urgency=low

  * Fixed hardcoded "Recommends: libssl0.9.8" (now libssl1.0.0)
    closes:#636080

 -- Xavier Roche <xavier@debian.org>  Fri, 08 Apr 2011 19:04:50 +0200

httrack (3.44.1-3) unstable; urgency=low

  * Fixed *.la/*.a files in libhttrack-dev (examples, this time)

 -- Xavier Roche <xavier@debian.org>  Fri, 08 Apr 2011 19:04:50 +0200

httrack (3.44.1-2) unstable; urgency=low

  * Fixed *.la/*.a files in libhttrack-dev
    Fixed double entry in menu on Ubuntu (Ubuntu BUG #554256)
    closes:#621541

 -- Xavier Roche <xavier@debian.org>  Thu, 07 Apr 2011 21:51:22 +0200

httrack (3.44.1-1) unstable; urgency=medium

  * Fixed content of files replaced with error pages randomly during a update
    closes:#614966

 -- Xavier Roche <xavier@debian.org>  Sun, 27 Feb 2011 21:49:25 +0100

httrack (3.43.12-1) unstable; urgency=medium

  * Fixed buffer overflow while repairing httrack cache if a damaged cache is
    found from a previous mirror
    closes:#607704

 -- Xavier Roche <xavier@debian.org>  Tue, 21 Dec 2010 11:29:14 +0100

httrack (3.43.11-1) unstable; urgency=low

  * Updated to 3.43.11 (3.43-11)
    Fixed icecat/iceweasel issues
    closes:#605140

 -- Xavier Roche <xavier@debian.org>  Sat, 27 Nov 2010 23:06:42 +0100

httrack (3.43.9-2) unstable; urgency=low

  * Moved desktop files from webhttrack-common to webhttrack to fix lintian
    warnings

 -- Xavier Roche <xavier@debian.org>  Sun, 10 Jan 2010 15:28:49 +0100

httrack (3.43.9-1) unstable; urgency=low

  * Updated to 3.43.9 (3.43-9)
    closes:#563691
    Also merged various lintian fixes and updated i386 build chain for piuparts

 -- Xavier Roche <xavier@debian.org>  Mon, 04 Jan 2010 19:08:48 +0100

httrack (3.43.8-1) unstable; urgency=low

  * Updated to 3.43.8 (3.43-8)

 -- Xavier Roche <xavier@debian.org>  Fri, 01 Jan 2010 11:41:34 +0100

httrack (3.43.7-1) unstable; urgency=low

  * Updated to 3.43.7 (3.43-7)

 -- Xavier Roche <xavier@debian.org>  Thu, 23 Jul 2009 19:09:10 +0200

httrack (3.43.6-1) unstable; urgency=low

  * Updated to 3.43.6 (3.43-6)
    closes:#530031

 -- Xavier Roche <xavier@debian.org>  Sat, 18 Jul 2009 17:49:47 +0200

httrack (3.43.5-1) unstable; urgency=low

  * Updated to 3.43.5 (3.43-5)

 -- Xavier Roche <xavier@debian.org>  Wed, 20 May 2009 19:09:11 +0200

httrack (3.43.4-1) unstable; urgency=low

  * Updated to 3.43.4 (3.43-4)
    closes:#516615

 -- Xavier Roche <xavier@debian.org>  Thu, 19 Mar 2009 18:42:38 +0100

httrack (3.43.3-1) unstable; urgency=low

  * Updated to 3.43.3 (3.43-3)
    closes:#516450

 -- Xavier Roche <xavier@debian.org>  Sat, 21 Feb 2009 16:31:16 +0100

httrack (3.43.2-1) unstable; urgency=low

  * Updated to 3.43.2 (3.43-2)

 -- Xavier Roche <xavier@debian.org>  Sun, 07 Dec 2008 11:12:22 +0100

httrack (3.43.1-2) unstable; urgency=low

  * Fixed bogus homepage in control file

 -- Xavier Roche <xavier@debian.org>  Sun, 30 Nov 2008 10:11:53 +0100

httrack (3.43.1-1) unstable; urgency=low

  * Updated to 3.43.1 (3.43)

 -- Xavier Roche <xavier@debian.org>  Sun, 28 Sep 2008 18:43:12 +0200

httrack (3.42.96-1) unstable; urgency=low

  * Updated to 3.42.96 (3.43-rc-2)

 -- Xavier Roche <xavier@debian.org>  Sun, 21 Sep 2008 11:54:37 +0200

httrack (3.42.95-1) unstable; urgency=low

  * Updated to 3.42.95 (3.43-rc-1)
  * Various fixes in desktop/txt/build files (Debarshi Ray)

 -- Xavier Roche <xavier@debian.org>  Sat, 13 Sep 2008 15:38:47 +0200

httrack (3.42.93-1) unstable; urgency=low

  * Updated to 3.42.93 (3.43-beta-4)

 -- Xavier Roche <xavier@debian.org>  Sun, 07 Sep 2008 18:45:10 +0200

httrack (3.42.92-1) unstable; urgency=low

  * Updated to 3.42.92 (3.43-beta-3)

 -- Xavier Roche <xavier@debian.org>  Sun, 31 Aug 2008 15:21:58 +0200

httrack (3.42.91-1) unstable; urgency=low

  * Updated to 3.42.91 (3.43-beta-2)

 -- Xavier Roche <xavier@debian.org>  Fri, 22 Aug 2008 19:51:06 +0200

httrack (3.42.90-1) unstable; urgency=low

  * Updated to 3.42.90 (3.43-beta-1)
  * Splitted webhttrack into webhttrack + webhttrack-common
    (arch-dep-package-has-big-usr-share)
  * Renamed libhttrack1 to libhttrack2 (package-name-doesnt-match-sonames)
  * Fixed other minor lintian issues (debian-rules-sets-DH_COMPAT,
    desktop-file-in-wrong-dir, debian-changelog-line-too-long ..)

 -- Xavier Roche <xavier@debian.org>  Tue, 19 Aug 2008 22:25:52 +0200

httrack (3.42.3-1) unstable; urgency=high

  * Updated to 3.42.3-1 (3.42-3) ; (Joan CALVET) fixed security issue regarding
    commandline parsing of URLs

 -- Xavier Roche <xavier@debian.org>  Mon, 28 Jul 2008 22:52:53 +0200

httrack (3.42.2-1) unstable; urgency=low

  * Updated to 3.42.2-1 (3.42-2)

 -- Xavier Roche <xavier@debian.org>  Sun, 16 Mar 2008 22:25:09 +0100

httrack (3.42.1-1) unstable; urgency=low



=== debian/control ===
Source: httrack
Section: web
Priority: optional
Maintainer: Xavier Roche <roche@httrack.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>> 5.0.0), zlib1g-dev
Homepage: http://www.httrack.com

Package: httrack
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: webhttrack, httrack-doc
Description: Copy websites to your computer (Offline browser)
 HTTrack is an offline browser utility, allowing you to download a World
 Wide website from the Internet to a local directory, building recursively
 all directories, getting html, images, and other files from the server to
 your computer.
 .
 HTTrack arranges the original site's relative link-structure. Simply
 open a page of the "mirrored" website in your browser, and you can
 browse the site from link to link, as if you were viewing it online.
 HTTrack can also update an existing mirrored site, and resume
 interrupted downloads. HTTrack is fully configurable, and has an
 integrated help system. 

Package: webhttrack
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}, webhttrack-common, iceape-browser | iceweasel | icecat | mozilla | firefox | mozilla-firefox | www-browser
Suggests: httrack, httrack-doc
Replaces: webhttrack-common (<< 3.43.9-2)
Enhances: httrack
Description: Copy websites to your computer, httrack with a Web interface
 WebHTTrack is an offline browser utility, allowing you to download a World
 Wide website from the Internet to a local directory, building recursively
 all directories, getting html, images, and other files from the server to
 your computer, using a step-by-step web interface.
 .
 WebHTTrack arranges the original site's relative link-structure. Simply
 open a page of the "mirrored" website in your browser, and you can
 browse the site from link to link, as if you were viewing it online.
 HTTrack can also update an existing mirrored site, and resume
 interrupted downloads. WebHTTrack is fully configurable, and has an
 integrated help system.
 .
  Snapshots: http://www.httrack.com/page/21/

Package: webhttrack-common
Architecture: all
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: webhttrack common files
 This package is the common files of webhttrack, website copier and
 mirroring utility

Package: libhttrack2
Architecture: any
Section: libs
Replaces: libhttrack1
Conflicts: libhttrack1
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libssl1.0.0
Description: Httrack website copier library
 This package is the library part of httrack, website copier and mirroring
 utility

Package: libhttrack-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev
Recommends: libssl1.0.0
Description: Httrack website copier includes and development files
 This package adds supplemental files for using the httrack website copier
 library

Package: httrack-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Httrack website copier additional documentation
 This package adds supplemental documentation for httrack and webhttrack
 as a browsable html documentation

Package: proxytrack
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: squid, httrack
Description: Build HTTP Caches using archived websites copied by HTTrack
 ProxyTrack is a simple proxy server aimed to deliver content archived by
 HTTrack sessions. It can aggregate multiple download caches, for direct
 use (through any browser) or as an upstream cache slave server.
 This proxy can handle HTTP/1.1 proxy connections, and is able to reply to
 ICPv2 requests for an efficient integration within other cache servers,
 such as Squid. It can also handle transparent HTTP requests to allow
 cached live connections inside an offline network.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# *** Patch for s390, mips, hppa..
# It seems that htscore.c can not compile on several archs, due to compiler
# capacity limits. These lines shall be removed when gcc is upgraded.
# See discussions on 'Assembler messages: Branch out of range'
# Addition (04/2004): gcc-3.3 on arm fcks up with htscoremain.c and -O3 (..)
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),s390 mips mipsel hppa m68k arm))
	CFLAGS += -DNOSTRDEBUG
endif

DEB_CFLAGS_MAINT_APPEND=-O3

# DEB_BUILD_OPTIONS flags
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure \
		--prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		$(shell dpkg-buildflags --export=configure)

	touch configure-stamp

build: build-arch build-indep

build-indep:

build-arch: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/httrack

	mkdir -p $(CURDIR)/debian/httrack/usr/lib/httrack/
	mv $(CURDIR)/debian/httrack/usr/bin/htsserver \
		$(CURDIR)/debian/httrack/usr/lib/httrack/
	rm -f $(CURDIR)/debian/httrack/usr/lib/*.a
	rm -f $(CURDIR)/debian/httrack/usr/lib/*.la
	rm -f $(CURDIR)/debian/httrack/usr/lib/httrack/*.a
	rm -f $(CURDIR)/debian/httrack/usr/lib/httrack/*.la
	mv $(CURDIR)/debian/httrack/usr/lib/httrack/lib* \
		$(CURDIR)/debian/httrack/usr/share/httrack/libtest/
	mkdir -p $(CURDIR)/debian/httrack/usr/lib/httrack/libtest
	mv $(CURDIR)/debian/httrack/usr/share/httrack/libtest/lib* \
		$(CURDIR)/debian/httrack/usr/lib/httrack/libtest
	ln -s ../../../share/httrack/libtest/readme.txt \
		 $(CURDIR)/debian/httrack/usr/lib/httrack/libtest/readme.txt

	# Lintian overrides
	mkdir -p $(CURDIR)/debian/httrack/usr/share/lintian/overrides
	cp $(CURDIR)/debian/httrack-doc.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack-doc
	cp $(CURDIR)/debian/httrack.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack

	dh_movefiles --sourcedir=debian/httrack
	# don't move history file to httrack-doc
	mv $(CURDIR)/debian/httrack-doc/usr/share/doc/httrack/history.txt $(CURDIR)/debian/httrack/usr/share/doc/httrack/
	find debian -type d | xargs rmdir -p --ignore-fail-on-non-empty

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i history.txt
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a history.txt
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -X/usr/lib/httrack/libtest
	dh_installdeb -a
	dh_shlibdeps -a -ldebian/libhttrack2/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## httrack 3.45.4

=== debian/changelog ===
httrack (3.45.4-1) unstable; urgency=low

  * Updated to 3.45.4 (3.45-4)
    Lintian fixes

 -- Xavier Roche <xavier@debian.org>  Tue, 01 May 2012 20:53:48 +0200

## httrack 3.46.1

=== debian/changelog ===
httrack (3.46.1-1) unstable; urgency=low

  * Updated to 3.46.1 (3.46-1)
    closes:#674053

 -- Xavier Roche <xavier@debian.org>  Sat, 23 Jun 2012 11:06:37 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 Package: httrack
 Architecture: any
-Section: web
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: webhttrack, httrack-doc
 Description: Copy websites to your computer (Offline browser)
@@ -26,7 +25,6 @@
 
 Package: webhttrack
 Architecture: any
-Section: web
 Depends: ${misc:Depends}, ${shlibs:Depends}, webhttrack-common, iceape-browser | iceweasel | icecat | mozilla | firefox | mozilla-firefox | www-browser
 Suggests: httrack, httrack-doc
 Replaces: webhttrack-common (<< 3.43.9-2)
@@ -48,7 +46,6 @@
 
 Package: webhttrack-common
 Architecture: all
-Section: web
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: webhttrack common files
  This package is the common files of webhttrack, website copier and
@@ -84,7 +81,6 @@
 
 Package: proxytrack
 Architecture: any
-Section: web
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: squid, httrack
 Description: Build HTTP Caches using archived websites copied by HTTrack

## httrack 3.47.6

=== debian/changelog ===
httrack (3.47.6-1) unstable; urgency=low

  * Updated to 3.47.6 (3.47-6)

 -- Xavier Roche <xavier@debian.org>  Sat, 27 Apr 2013 15:25:32 +0200

httrack (3.47.5-1) unstable; urgency=low

  * Revertes moving of desktop files to webhttrack-common because of
    desktop-command-not-in-package

 -- Xavier Roche <xavier@debian.org>  Wed, 17 Apr 2013 10:11:20 +0200

httrack (3.47.4-1) unstable; urgency=low

  * Fixing previous conflicts due to moved files from webhttrack-common
    to webhttrack

 -- Xavier Roche <xavier@debian.org>  Tue, 16 Apr 2013 22:07:37 +0200

httrack (3.47.3-1) unstable; urgency=low

  * Fixing conflicts due to moved files from webhttrack to webhttrack-common
    closes:#705532

 -- Xavier Roche <xavier@debian.org>  Tue, 16 Apr 2013 21:37:52 +0200

httrack (3.47.2-1) unstable; urgency=low

  * Updated to 3.47.2 (3.47-2)

 -- Xavier Roche <xavier@debian.org>  Sun, 14 Apr 2013 19:55:12 +0200

httrack (3.47.1-1) unstable; urgency=low

  * Updated to 3.47.1 (3.47-1)

 -- Xavier Roche <xavier@debian.org>  Sun, 14 Apr 2013 16:14:46 +0200

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,9 @@
 Package: webhttrack
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, webhttrack-common, iceape-browser | iceweasel | icecat | mozilla | firefox | mozilla-firefox | www-browser
+Replaces: webhttrack-common (<< 3.43.9-2)
+Breaks: webhttrack-common (<< 3.43.9-2)
 Suggests: httrack, httrack-doc
-Replaces: webhttrack-common (<< 3.43.9-2)
 Enhances: httrack
 Description: Copy websites to your computer, httrack with a Web interface
  WebHTTrack is an offline browser utility, allowing you to download a World

## httrack 3.47.7

=== debian/changelog ===
httrack (3.47.7-1) unstable; urgency=low

  * Updated to 3.47.7 (3.47-7)
    Windows Update (CVE-2010-5252)
    Linux UTF-8 filename bugs

 -- Xavier Roche <xavier@debian.org>  Mon, 29 Apr 2013 18:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>> 5.0.0), zlib1g-dev
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, autotools-dev, autoconf
 Homepage: http://www.httrack.com
 
 Package: httrack

## httrack 3.47.9

=== debian/changelog ===
httrack (3.47.9-1) unstable; urgency=low

  * Updated to 3.47.9 (3.47-9)
    Build-depends on libtool

 -- Xavier Roche <xavier@debian.org>  Wed, 01 May 2013 13:15:38 +0200

httrack (3.47.8-1) unstable; urgency=low

  * Updated to 3.47.8 (3.47-8)

 -- Xavier Roche <xavier@debian.org>  Wed, 01 May 2013 12:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, autotools-dev, autoconf
+Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, autotools-dev, autoconf, automake1.9, libtool
 Homepage: http://www.httrack.com
 
 Package: httrack

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+
+	autoreconf -v -i
 
 	./configure \
 		--prefix=/usr \

## httrack 3.47.10

=== debian/changelog ===
httrack (3.47.10-1) unstable; urgency=low

  * Updated to 3.47.10 (3.47-10)
    Fixed KDE/Gnome icons.

 -- Xavier Roche <xavier@debian.org>  Wed, 01 May 2013 22:44:30 +0200

## httrack 3.47.11

=== debian/changelog ===
httrack (3.47.11-1) unstable; urgency=low

  * Updated to 3.47.11 (3.47-11)
    closes:#706755
    closes:#706757

 -- Xavier Roche <xavier@debian.org>  Sat, 04 May 2013 13:09:32 +0200

## httrack 3.47.12

=== debian/changelog ===
httrack (3.47.12-1) unstable; urgency=low

  * Updated to 3.47.12 (3.47-12)
    closes:#708707

 -- Xavier Roche <xavier@debian.org>  Fri, 17 May 2013 21:18:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -119,8 +119,9 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -X/usr/lib/httrack/libtest
+	dh_makeshlibs -a -X/usr/lib/httrack/libtest --version-info
 	dh_installdeb -a
+	# we depend on the current version (ABI may change)
 	dh_shlibdeps -a -ldebian/libhttrack2/usr/lib
 	dh_gencontrol -a
 	dh_md5sums -a

## httrack 3.47.13

=== debian/changelog ===
httrack (3.47.13-1) unstable; urgency=low

  * Updated to 3.47.13 (3.47-13)
    closes:#708876

 -- Xavier Roche <xavier@debian.org>  Sun, 19 May 2013 12:38:10 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 Package: webhttrack-common
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: webhttrack common files
  This package is the common files of webhttrack, website copier and
  mirroring utility

## httrack 3.47.14

=== debian/changelog ===
httrack (3.47.14-3) unstable; urgency=low

  * Fixed source-upload only

 -- Xavier Roche <roche@proliant.localnet>  Sun, 26 May 2013 13:14:29 +0200

httrack (3.47.14-2) unstable; urgency=low

  * Fixed Build-depends on libssl-dev

 -- Xavier Roche <roche@proliant.localnet>  Sun, 26 May 2013 12:44:15 +0200

httrack (3.47.14-1) unstable; urgency=low

  * Updated to 3.47.14 (3.47-14)
    closes:#709874

 -- Xavier Roche <xavier@debian.org>  Sun, 26 May 2013 10:14:45 +0200

## httrack 3.47.15

=== debian/changelog ===
httrack (3.47.15-1) unstable; urgency=low

  * Updated to 3.47.15 (3.47-15)

 -- Xavier Roche <xavier@debian.org>  Fri, 31 May 2013 20:51:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, autotools-dev, autoconf, automake1.9, libtool
+Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
 Homepage: http://www.httrack.com
 
 Package: httrack

## httrack 3.47.16

=== debian/changelog ===
httrack (3.47.16-1) unstable; urgency=low

  * Updated to 3.47.16 (3.47-16)

 -- Xavier Roche <xavier@debian.org>  Sat, 01 Jun 2013 11:48:45 +0200

## httrack 3.47.17

=== debian/changelog ===
httrack (3.47.17-2) unstable; urgency=low

  * Fixed broken hardened build (broken in 3.47.17-1)
    Replaced dh_clean -k by dh_prep as advised
    Moved from compat=5 to to compat=8

 -- Xavier Roche <roche@proliant.localnet>  Mon, 03 Jun 2013 09:52:34 +0200

httrack (3.47.17-1) unstable; urgency=low

  * Updated to 3.47.17 (3.47-17)

 -- Xavier Roche <xavier@debian.org>  Sun, 02 Jun 2013 16:16:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
+Build-Depends: debhelper (>> 8), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
 Homepage: http://www.httrack.com
 
 Package: httrack

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,7 @@
 	dh_testdir
 
 	autoreconf -v -i
-
-	./configure \
-		--prefix=/usr \
-		--host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--mandir=\$${prefix}/share/man \
-		--sysconfdir=/etc \
-		$(shell dpkg-buildflags --export=configure)
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
 
 	touch configure-stamp
 
@@ -47,24 +40,21 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
-
-	$(MAKE)
-
+	dh_auto_build
+	dh_auto_test
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	[ ! -f Makefile ] || $(MAKE) distclean
-
+	dh_auto_clean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/httrack
@@ -86,8 +76,9 @@
 
 	# Lintian overrides
 	mkdir -p $(CURDIR)/debian/httrack/usr/share/lintian/overrides
+	cp $(CURDIR)/debian/httrack.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack
+	cp $(CURDIR)/debian/libhttrack-dev.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/libhttrack-dev
 	cp $(CURDIR)/debian/httrack-doc.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack-doc
-	cp $(CURDIR)/debian/httrack.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack
 
 	dh_movefiles --sourcedir=debian/httrack
 	# don't move history file to httrack-doc

## httrack 3.47.18

=== debian/changelog ===
httrack (3.47.18-1) unstable; urgency=low

  * Fixed FTBFS introducedi in 3.47.17 on Ubuntu due to online unit tests
    Fixed FTBFS when OpenSSL is disabled explicitely

 -- Xavier Roche <xavier@debian.org>  Wed, 05 Jun 2013 18:36:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>> 8), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
+Build-Depends: debhelper (>= 8), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
 Homepage: http://www.httrack.com
 
 Package: httrack

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,8 @@
 	dh_testdir
 
 	autoreconf -v -i
-	dh_auto_configure -- $(shell dpkg-buildflags --export=configure)
+	# note: dpkg-buildflags to be removed when compat=9
+	dh_auto_configure -- --enable-online-unit-tests=auto $(shell dpkg-buildflags --export=configure)
 
 	touch configure-stamp

## httrack 3.47.19

=== debian/changelog ===
httrack (3.47.19-3) unstable; urgency=low

  * Updated to 3.47.19 (3.47-19)
    Gentoo merges, Lintian fixes, build cleanup
  * Fixed arch-indep only upload not working
  * Minor fix in copyright file, removed old library entry

 -- Xavier Roche <xavier@debian.org>  Sun, 16 Jun 2013 14:20:25 +0200

## httrack 3.47.20

=== debian/changelog ===
httrack (3.47.20-1) unstable; urgency=low

  * Updated to 3.47.20 (3.47-20)
    Mostly typos, and lintian fixes

 -- Xavier Roche <xavier@debian.org>  Fri, 28 Jun 2013 19:46:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,9 +57,25 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
+	dh_auto_install --destdir=$(CURDIR)/debian/httrack
+	##$(MAKE) install DESTDIR=$(CURDIR)/debian/httrack
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/httrack
+	# place html files (doc, webhttrack files)
 
+	# remove symlink created by html/Makefile's install-data-hook
+	rm $(CURDIR)/debian/httrack/usr/share/httrack/html
+	# and put back in place data
+	mv $(CURDIR)/debian/httrack/usr/share/doc/httrack \
+		$(CURDIR)/debian/httrack/usr/share/httrack/html
+	# create symlink on the other side
+	mkdir $(CURDIR)/debian/httrack/usr/share/doc/httrack
+	ln -s ../../httrack/html \
+		$(CURDIR)/debian/httrack/usr/share/doc/httrack/html
+	# and put in place the two outer files
+	mv $(CURDIR)/debian/httrack/usr/share/httrack/html/httrack-doc.html \
+		$(CURDIR)/debian/httrack/usr/share/doc/httrack/httrack-doc.html
+
+	# place libraries and cleanup
 	mkdir -p $(CURDIR)/debian/httrack/usr/lib/httrack/
 	mv $(CURDIR)/debian/httrack/usr/bin/htsserver \
 		$(CURDIR)/debian/httrack/usr/lib/httrack/
@@ -77,13 +93,16 @@
 
 	# Lintian overrides
 	mkdir -p $(CURDIR)/debian/httrack/usr/share/lintian/overrides
-	cp $(CURDIR)/debian/httrack.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack
-	cp $(CURDIR)/debian/libhttrack-dev.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/libhttrack-dev
-	cp $(CURDIR)/debian/httrack-doc.lintian-overrides $(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack-doc
+	cp $(CURDIR)/debian/httrack.lintian-overrides \
+		$(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack
+	cp $(CURDIR)/debian/libhttrack-dev.lintian-overrides \
+		$(CURDIR)/debian/httrack/usr/share/lintian/overrides/libhttrack-dev
+	cp $(CURDIR)/debian/httrack-doc.lintian-overrides \
+		$(CURDIR)/debian/httrack/usr/share/lintian/overrides/httrack-doc
 
 	dh_movefiles --sourcedir=debian/httrack
-	# don't move history file to httrack-doc
-	mv $(CURDIR)/debian/httrack-doc/usr/share/doc/httrack/history.txt $(CURDIR)/debian/httrack/usr/share/doc/httrack/
+
+	# remove empty dirs
 	find debian -type d | xargs rmdir -p --ignore-fail-on-non-empty
 
 # Build architecture-independent files here.

## httrack 3.47.21

=== debian/changelog ===
httrack (3.47.21-1) unstable; urgency=low

  * Updated to 3.47.21 (3.47-21)

 -- Xavier Roche <xavier@debian.org>  Fri, 05 Jul 2013 20:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
+Build-Depends: debhelper (>= 8.0.0), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
 Homepage: http://www.httrack.com
 
 Package: httrack

## httrack 3.47.27

=== debian/changelog ===
httrack (3.47.27-3) unstable; urgency=low

  * Do not depend on automake1.9 but on automake instead
    see: http://lists.debian.org/debian-devel/2013/05/msg01459.html
    closes:#724390

 -- Xavier Roche <roche@proliant.localnet>  Thu, 26 Sep 2013 20:09:12 +0200

httrack (3.47.27-1) unstable; urgency=low

  * Updated to 3.47.27 (3.47-27)

 -- Xavier Roche <xavier@debian.org>  Sun, 15 Sep 2013 10:59:50 +0200

httrack (3.47.26-1) unstable; urgency=low

  * Updated to 3.47.26 (3.47-26)

 -- Xavier Roche <xavier@debian.org>  Fri, 06 Sep 2013 21:51:28 +0200

httrack (3.47.25-1) unstable; urgency=low

  * Updated to 3.47.25 (3.47-25)

 -- Xavier Roche <xavier@debian.org>  Sun, 01 Sep 2013 16:47:55 +0200

httrack (3.47.24-1) unstable; urgency=low

  * Updated to 3.47.24 (3.47-24)

 -- Xavier Roche <xavier@debian.org>  Fri, 23 Aug 2013 09:45:34 +0200

httrack (3.47.23-1) unstable; urgency=low

  * Updated to 3.47.23 (3.47-23)

 -- Xavier Roche <xavier@debian.org>  Sat, 17 Aug 2013 12:15:37 +0200

httrack (3.47.22-1) unstable; urgency=low

  * Updated to 3.47.22 (3.47-22)

 -- Xavier Roche <xavier@debian.org>  Sun, 11 Aug 2013 21:50:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8.0.0), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake1.9, libtool
+Build-Depends: debhelper (>= 8.0.0), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake, libtool
 Homepage: http://www.httrack.com
 
 Package: httrack

## httrack 3.48.1

=== debian/changelog ===
httrack (3.48.1-4ubuntu1) trusty; urgency=medium

  * Really call dh_autoreconf, fix configure dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 14:46:20 +0200

httrack (3.48.1-4) unstable; urgency=low

  * Cleanup in dependencies

 -- Xavier Roche <roche@proliant.localnet>  Tue, 15 Apr 2014 22:13:19 +0200

httrack (3.48.1-3) unstable; urgency=low

  * Fixed FTBFS due to a missing Build-Depends: dh-autoreconf

 -- Xavier Roche <roche@proliant.localnet>  Tue, 15 Apr 2014 21:32:03 +0200

httrack (3.48.1-2) unstable; urgency=low

  * Fixed removal of .a files even on architectures where .a are libraries
    closes:#744594
    Enable verosity of unit tests
    Call dh_autoreconf_clean before dh_clean

 -- Xavier Roche <roche@proliant.localnet>  Tue, 15 Apr 2014 21:02:14 +0200

httrack (3.48.1-1) unstable; urgency=low

  * Updated to 3.48.1 (3.48-1)

 -- Xavier Roche <xavier@debian.org>  Wed, 09 Apr 2014 21:02:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8.0.0), zlib1g-dev, libssl-dev, autotools-dev, autoconf, automake, libtool
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
 
 Package: httrack

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,16 @@
 	INSTALL_PROGRAM += -s
 endif
 
+# as suggested by Simon McVittie
+# (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=744380)
+override_dh_auto_test:
+	VERBOSE=1 dh_auto_test
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 
-	autoreconf -v -i
+	dh_autoreconf
 	# note: dpkg-buildflags to be removed when compat=9
 	dh_auto_configure -- --enable-online-unit-tests=auto $(shell dpkg-buildflags --export=configure)
 
@@ -50,6 +55,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	dh_auto_clean
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -79,10 +85,17 @@
 	mkdir -p $(CURDIR)/debian/httrack/usr/lib/httrack/
 	mv $(CURDIR)/debian/httrack/usr/bin/htsserver \
 		$(CURDIR)/debian/httrack/usr/lib/httrack/
-	rm -f $(CURDIR)/debian/httrack/usr/lib/*.a
+	# remove *.la (https://wiki.debian.org/ReleaseGoals/LAFileRemoval)
 	rm -f $(CURDIR)/debian/httrack/usr/lib/*.la
-	rm -f $(CURDIR)/debian/httrack/usr/lib/httrack/*.a
 	rm -f $(CURDIR)/debian/httrack/usr/lib/httrack/*.la
+	# remove *.a unless we do not have *.so files
+	# see BUG #744594
+	if ls $(CURDIR)/debian/httrack/usr/lib/*.so >/dev/null 2>/dev/null ; then \
+		rm -f $(CURDIR)/debian/httrack/usr/lib/*.a ; \
+	fi
+	if ls $(CURDIR)/debian/httrack/usr/lib/httrack/*.so >/dev/null 2>/dev/null ; then \
+		rm -f $(CURDIR)/debian/httrack/usr/lib/httrack/*.a ; \
+	fi
 	mv $(CURDIR)/debian/httrack/usr/lib/httrack/lib* \
 		$(CURDIR)/debian/httrack/usr/share/httrack/libtest/
 	mkdir -p $(CURDIR)/debian/httrack/usr/lib/httrack/libtest

## httrack 3.48.19

=== debian/changelog ===
httrack (3.48.19-1) unstable; urgency=low

  * Updated to 3.48.19 (3.48-19)
    closes:#756328

 -- Xavier Roche <xavier@debian.org>  Mon, 28 Jul 2014 22:52:19 +0200

httrack (3.48.18-1) unstable; urgency=low

  * Updated to 3.48.18 (3.48-18)
    closes:#755107

 -- Xavier Roche <xavier@debian.org>  Thu, 17 Jul 2014 21:35:10 +0200

httrack (3.48.17-1) unstable; urgency=low

  * Updated to 3.48.17 (3.48-17)

 -- Xavier Roche <xavier@debian.org>  Sat, 12 Jul 2014 15:21:14 +0200

httrack (3.48.16-1) unstable; urgency=low

  * Updated to 3.48.16 (3.48-16)
    fixed FTBFS on ARM/MIPS again

 -- Xavier Roche <xavier@debian.org>  Wed, 09 Jul 2014 07:02:08 +0200

httrack (3.48.15-1) unstable; urgency=low

  * Updated to 3.48.15 (3.48-15)
    fixed FTBFS on ARM/MIPS

 -- Xavier Roche <xavier@debian.org>  Tue, 08 Jul 2014 22:05:14 +0200

httrack (3.48.14-1) unstable; urgency=low

  * Updated to 3.48.14 (3.48-14)

 -- Xavier Roche <xavier@debian.org>  Tue, 08 Jul 2014 20:36:55 +0200

httrack (3.48.13-1) unstable; urgency=low

  * Updated to 3.48.13 (3.48-13)
    closes:#750931

 -- Xavier Roche <xavier@debian.org>  Sun, 08 Jun 2014 16:22:13 +0200

httrack (3.48.12-1) unstable; urgency=low

  * Updated to 3.48.12 (3.48-12)
    Should fix missing/broken .h for libhttrack-dev

 -- Xavier Roche <xavier@debian.org>  Sun, 08 Jun 2014 13:19:49 +0200

httrack (3.48.11-1) unstable; urgency=low

  * Updated to 3.48.11 (3.48-11)

 -- Xavier Roche <xavier@debian.org>  Fri, 06 Jun 2014 17:58:12 +0200

httrack (3.48.10-1) unstable; urgency=low

  * Updated to 3.48.10 (3.48-10)

 -- Xavier Roche <xavier@debian.org>  Wed, 04 Jun 2014 19:00:07 +0200

httrack (3.48.9-1) unstable; urgency=low

  * Updated to 3.48.9 (3.48-9)

 -- Xavier Roche <xavier@debian.org>  Wed, 21 May 2014 19:22:04 +0200

httrack (3.48.8-1) unstable; urgency=low

  * Updated to 3.48.8 (3.48-8)

 -- Xavier Roche <xavier@debian.org>  Thu, 15 May 2014 19:21:21 +0200

httrack (3.48.7-1) unstable; urgency=low

  * Updated to 3.48.7 (3.48-7)

 -- Xavier Roche <xavier@debian.org>  Wed, 14 May 2014 19:51:57 +0200

httrack (3.48.6-1) unstable; urgency=low

  * Updated to 3.48.6 (3.48-6)

 -- Xavier Roche <xavier@debian.org>  Tue, 13 May 2014 21:23:02 +0200

httrack (3.48.5-1) unstable; urgency=low

  * Updated to 3.48.5 (3.48-5)

 -- Xavier Roche <xavier@debian.org>  Fri, 02 May 2014 16:37:08 +0200

httrack (3.48.4-1) unstable; urgency=low

  * Updated to 3.48.4 (3.48-4)
    closes:#746173

 -- Xavier Roche <xavier@debian.org>  Sun, 27 Apr 2014 18:48:57 +0200

httrack (3.48.3-1) unstable; urgency=low

  * Updated to 3.48.3 (3.48-3)

 -- Xavier Roche <xavier@debian.org>  Fri, 11 Apr 2014 20:31:21 +0200

httrack (3.48.2-1) unstable; urgency=low

  * Updated to 3.48.2 (3.48-2)

 -- Xavier Roche <xavier@debian.org>  Thu, 10 Apr 2014 18:30:08 +0200

httrack (3.48.1-5) unstable; urgency=low

  * Really call dh_autoreconf, fix configure dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 14:46:20 +0200

## httrack 3.48.20

=== debian/changelog ===
httrack (3.48.20-1) unstable; urgency=low

  * Updated to 3.48.20 (3.48-20)
    closes:#765019

 -- Xavier Roche <xavier@debian.org>  Wed, 15 Oct 2014 21:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, automake, libtool, zlib1g-dev, libssl-dev
+Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
+Vcs-Svn: http://httrack.googlecode.com/svn/trunk
+Vcs-Browser: https://code.google.com/p/httrack/source/browse/trunk/src
 
 Package: httrack
 Architecture: any

## httrack 3.48.21

=== debian/changelog ===
httrack (3.48.21-1) unstable; urgency=low

  * Updated to 3.48.21 (3.48-21)

 -- Xavier Roche <xavier@debian.org>  Sat, 14 Mar 2015 15:02:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
-Vcs-Svn: http://httrack.googlecode.com/svn/trunk
+Vcs-Git: https://github.com/xroche/httrack.git
 Vcs-Browser: https://code.google.com/p/httrack/source/browse/trunk/src
 
 Package: httrack

## httrack 3.48.22

=== debian/changelog ===
httrack (3.48.22-1) unstable; urgency=medium

  * Updated to 3.48.22 (3.48-22)
    closes:#804535

 -- Xavier Roche <xavier@debian.org>  Tue, 26 Apr 2016 18:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
 Vcs-Git: https://github.com/xroche/httrack.git
-Vcs-Browser: https://code.google.com/p/httrack/source/browse/trunk/src
+Vcs-Browser: https://github.com/xroche/httrack/tree/master/src
 
 Package: httrack
 Architecture: any

## httrack 3.48.23

=== debian/changelog ===
httrack (3.48.23-1) unstable; urgency=medium

  * Updated to 3.48.23 (3.48-23)
    closes:#828344

 -- Xavier Roche <xavier@debian.org>  Sun, 26 Jun 2016 14:15:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Xavier Roche <roche@httrack.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
 Vcs-Git: https://github.com/xroche/httrack.git

## httrack 3.48.24

=== debian/changelog ===
httrack (3.48.24-1) unstable; urgency=low

  * Removed recommends non-existing package (libssl1.0.0)
    closes:#835258

 -- Xavier Roche <xavier@debian.org>  Wed, 24 Aug 2016 09:04:28 +0200

## httrack 3.49.1

=== debian/changelog ===
httrack (3.49.1-1) unstable; urgency=low

  * Updated to 3.49.1 (3.49-1)

 -- Xavier Roche <xavier@debian.org>  Sat, 01 Apr 2017 22:09:48 +0200

## httrack 3.49.2

=== debian/changelog ===
httrack (3.49.2-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Jul 2019 12:44:38 -0700

httrack (3.49.2-1) unstable; urgency=medium

  * Fixed buffer overflow in output option commandline argument (VL-ID 2068) (Hosein Askari)

 -- Xavier Roche <xavier@debian.org>  Sat, 20 May 2017 10:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,18 @@
 Source: httrack
 Section: web
 Priority: optional
-Maintainer: Xavier Roche <roche@httrack.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
+Build-Depends: debhelper (>= 8),
+               dh-autoreconf,
+               autotools-dev,
+               autoconf,
+               autoconf-archive,
+               automake,
+               libtool,
+               zlib1g-dev,
+               libssl-dev
 Homepage: http://www.httrack.com
 Vcs-Git: https://github.com/xroche/httrack.git
 Vcs-Browser: https://github.com/xroche/httrack/tree/master/src
@@ -60,7 +69,6 @@
 Replaces: libhttrack1
 Conflicts: libhttrack1
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libssl1.0.0
 Description: Httrack website copier library
  This package is the library part of httrack, website copier and mirroring
  utility
@@ -69,7 +77,6 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev
-Recommends: libssl1.0.0
 Description: Httrack website copier includes and development files
  This package adds supplemental files for using the httrack website copier
  library

## httrack 3.49.3

=== debian/changelog ===
httrack (3.49.3-1) unstable; urgency=low

  * Updated to 3.49.3 (3.49-3)
    closes:#863028

 -- Xavier Roche <xavier@debian.org>  Thu, 12 Jan 2023 22:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,15 @@
 Source: httrack
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Xavier Roche <roche@httrack.com>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 8),
-               dh-autoreconf,
-               autotools-dev,
-               autoconf,
-               autoconf-archive,
-               automake,
-               libtool,
-               zlib1g-dev,
-               libssl-dev
+Maintainer: Xavier Roche <roche@httrack.com>
+Standards-Version: 4.6.2
+Build-Depends: debhelper (>= 12.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
 Vcs-Git: https://github.com/xroche/httrack.git
-Vcs-Browser: https://github.com/xroche/httrack/tree/master/src
 
 Package: httrack
 Architecture: any
+Multi-Arch: no
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: webhttrack, httrack-doc
 Description: Copy websites to your computer (Offline browser)
@@ -36,7 +27,8 @@
 
 Package: webhttrack
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, webhttrack-common, iceape-browser | iceweasel | icecat | mozilla | firefox | mozilla-firefox | www-browser
+Multi-Arch: no
+Depends: ${misc:Depends}, ${shlibs:Depends}, webhttrack-common, iceape-browser | iceweasel | icecat | mozilla | firefox | mozilla-firefox | www-browser | sensible-utils
 Replaces: webhttrack-common (<< 3.43.9-2)
 Breaks: webhttrack-common (<< 3.43.9-2)
 Suggests: httrack, httrack-doc
@@ -58,6 +50,7 @@
 
 Package: webhttrack-common
 Architecture: all
+Multi-Arch: allowed
 Depends: ${misc:Depends}
 Description: webhttrack common files
  This package is the common files of webhttrack, website copier and
@@ -65,6 +58,7 @@
 
 Package: libhttrack2
 Architecture: any
+Multi-Arch: no
 Section: libs
 Replaces: libhttrack1
 Conflicts: libhttrack1
@@ -75,6 +69,7 @@
 
 Package: libhttrack-dev
 Architecture: any
+Multi-Arch: no
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, zlib1g-dev
 Description: Httrack website copier includes and development files
@@ -83,6 +78,7 @@
 
 Package: httrack-doc
 Architecture: all
+Multi-Arch: allowed
 Section: doc
 Depends: ${misc:Depends}
 Description: Httrack website copier additional documentation
@@ -91,6 +87,7 @@
 
 Package: proxytrack
 Architecture: any
+Multi-Arch: no
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: squid, httrack
 Description: Build HTTP Caches using archived websites copied by HTTrack

## httrack 3.49.4

=== debian/changelog ===
httrack (3.49.4-1) unstable; urgency=low

  * Updated to 3.49.4 (3.49-4)
    closes:#1021492

 -- Xavier Roche <xavier@debian.org>  Sat, 14 Jan 2023 17:24:31 +0100
